//
//  File.swift
//  
//
//  Created by Shadowfacts on 4/22/23.
//

import SwiftUI

struct TestView: View {
    @State var manager = DraftsPersistentContainer()
    
    var body: some View {
        VStack {
            Button("Add") {
                let entity = TestEntity(context: manager.viewContext)
                entity.id = UUID()
                try! manager.viewContext.save()
            }
            InnerView()
                .environment(\.managedObjectContext, manager.viewContext)
        }
    }
}

struct InnerView: View {
    @FetchRequest(sortDescriptors: []) var results: FetchedResults<TestEntity>
    
    var body: some View {
        List {
            ForEach(results) { result in
                Text(result.id?.uuidString ?? "<nil>")
            }
        }
    }
}
